Subject: bug#1201 closed by Chong Yidong <[email-masked]> (Re: Another overlay display bug)

From: [email-masked] (Emacs bug Tracking System)

This is an automatic notification regarding your bug report
which was filed against the emacs package:

#1201: Another overlay display bug

It has been closed by Chong Yidong <[email-masked]>.

Their explanation is attached below along with your original report.
If this explanation is unsatisfactory and you have not received a
better one in a separate message then please contact Chong Yidong <[email-masked]> by
replying to this email.

-- 
1201: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=1201
Emacs Bug Tracking System
Contact [email-masked] with problems
>From [email-masked] Fri Oct 24 12:01:08 2008
From: Chong Yidong <[email-masked]>
To: [email-masked]
Subject: Re: Another overlay display bug
Date: Fri, 24 Oct 2008 15:01:08 -0400

I've checked in a fix.

>From [email-masked] Sat Oct 18 22:03:35 2008
From: Richard Stallman <[email-masked]>
To: [email-masked]
Subject: Another overlay display bug
Reply-To: [email-masked]
Date: Sun, 19 Oct 2008 01:00:55 -0400

Here's another bug that was reported a year ago
which I think should not be forgotten.

From: Richard Stallman <[email-masked]>
Content-Type: text/plain; charset=ISO-8859-15
To: [email-masked]
Subject: Another overlay display bug
Reply-To: [email-masked]
Message-Id: <[email-masked]>
Date: Mon, 10 Dec 2007 10:19:14 -0500

Would someone please fix this, then ack?

To: [email-masked]
From: Joe Wells <[email-masked]>
Date: Sat, 20 Oct 2007 06:43:43 +0100
In-Reply-To: <[email-masked]> (Joe Wells's message of "Sat\,
	20 Oct 2007 06\:32\:19 +0100")
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Subject: Re: two display bugs involving interactions between after-string
	and display properties of adjacent overlays

Joe Wells <[email-masked]> writes:

> Here are two more display bugs I found while trying to improve the
> code in tex-fold.el in AUCTeX.

Here is a third such bug.

> These bugs involve interactions between after-string and display
> properties of adjacent overlays.

Ditto.

> I'm assuming this macro in my reproduction code below:
>
>   (defmacro test-in-fresh-buffer-and-window (&rest body)
>     `(progn
>        (delete-other-windows)
>        (kill-buffer (get-buffer-create "xyzzy"))
>        (let ((xyzzy-buf (get-buffer-create "xyzzy")))
>          (set-buffer xyzzy-buf)
>          (display-buffer xyzzy-buf)
>          ,@body
>          )))

Ditto.

> BUG #1:  ...

> BUG #2:  ...

BUG #3:  An overlay's after-string property is not displayed if an
immediately following overlay has the empty string as its display
property.

Reproduce with this expression:

  (test-in-fresh-buffer-and-window
   (insert "ABCD")
   (let ((o1 (make-overlay 2 3))
         (o2 (make-overlay 3 4)))
     (overlay-put o1 'after-string "1")
     (overlay-put o2 'display "")))

The above expression should display ?AB1D?.
The above expression wrongly actually displays ?ABD?.

> ======================================================================
> In GNU Emacs 22.1.1 (i686-pc-linux-gnu, GTK+ Version 2.8.20) ...

Same details as in last message.

I hope this bug report is helpful.

-- 
Joe